KeyError: allpages for interwiki
Closed, ResolvedPublic

Description

interwiki.py -async -family:wiktionary -cleanup -continue -array:50 -query:30 -untranslated
...

NOTE: The first unfinished subject is [[cs:Kategorie:Finština]]
NOTE: Number of pages queued is 30, trying to add 30 more.
Dump cs (wiktionary) written.
Traceback (most recent call last):
  File "D:\Py\interwiki.py", line 2665, in <module>
    main()
  File "D:\Py\interwiki.py", line 2639, in main
    bot.run()
  File "D:\Py\interwiki.py", line 2358, in run
    self.queryStep()
  File "D:\Py\interwiki.py", line 2331, in queryStep
    self.oneQuery()
  File "D:\Py\interwiki.py", line 2299, in oneQuery
    site = self.selectQuerySite()
  File "D:\Py\interwiki.py", line 2270, in selectQuerySite
    self.generateMore(globalvar.maxquerysize - mycount)
  File "D:\Py\interwiki.py", line 2178, in generateMore
    page = self.pageGenerator.next()
  File "D:\Py\pagegenerators.py", line 1104, in CombinedPageGenerator
    for page in generator:
  File "D:\Py\pagegenerators.py", line 549, in AllpagesPageGenerator
    includeredirects=includeredirects):
  File "D:\Py\wikipedia.py", line 8559, in allpages
    warning = data['warnings']['allpages']['*']
KeyError: 'allpages'

Version: compat-(1.0)
Severity: critical

Details

Reference
bz72667
bzimport set Reference to bz72667.
bzimport added a subscriber: Unknown Object (????).
JAnD created this task.Oct 29 2014, 10:53 AM

No news on this?

This warning is what is causing the exception:

print data['warnings']

>

{u'query': {u'*': u"Formatting of continuation data will be changing soon. To co
ntinue using the current formatting, use the 'rawcontinue' parameter. To begin u
sing the new format, pass an empty string for 'continue' in the initial query."}
}

Mpaa added a comment.Nov 3 2014, 8:06 PM

Malafaya, I suggest that you try to migrate from compat to core.
More contributors fixing bugs in core than in compat.

I'm giving it another try. Things seem to be smoother in the initial setup now.
But I reopened bug 71115, because that same problema is happening in core now (again?).

OK, I gave 'core' a try but whereas 'compat' works fine with closed wikis, 'core' does not and halts everytime an interwiki (a working one) for such wikis is found (see my previous comment). So currently I have no working interwiki bot for Wiktionaries. Thanks anyway.

Change 176910 had a related patch set uploaded (by Malafaya):
Fix for bug T74667

https://gerrit.wikimedia.org/r/176910

Patch-For-Review

jayvdb edited the task description. (Show Details)Dec 2 2014, 12:44 PM
jayvdb triaged this task as "High" priority.
jayvdb assigned this task to Malafaya.
jayvdb set Security to None.
jayvdb removed a subscriber: Unknown Object (????).
jayvdb added a subscriber: jayvdb.Dec 4 2014, 6:31 AM

T74786 looks like the same problem

jayvdb closed this task as "Resolved".May 30 2015, 2:25 AM